ru.bitel.bgbilling.modules.vidimax.common.bean

## Class VidimaxCharge

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.vidimax.common.bean.VidimaxCharge

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class VidimaxCharge
      extends Id

  Расход видимакса, почти полное отражение запроса на расход от видимакса( за исключением поля sign ).
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VidimaxCharge()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getCustomerId()`
    `java.util.Date` | `getDate()`
    `java.lang.String` | `getDeviceId()`
    `java.lang.String` | `getOperationId()`
    `java.lang.String` | `getPin()`
    `int` | `getServiceTypeId()`
    `java.math.BigDecimal` | `getSum()`
    `int` | `getTariffId()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setCustomerId(java.lang.String customerId)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDeviceId(java.lang.String devicId)`
    `void` | `setOperationId(java.lang.String operationId)`
    `void` | `setPin(java.lang.String pin)`
    `void` | `setServiceTypeId(int serviceTypeId)`
    `void` | `setSum(java.math.BigDecimal sum)`
    `void` | `setTariffId(int tariffId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VidimaxCharge

          public VidimaxCharge()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getOperationId

          public java.lang.String getOperationId()

    - #### setOperationId

          public void setOperationId(java.lang.String operationId)

    - #### getCustomerId

          public java.lang.String getCustomerId()

    - #### setCustomerId

          public void setCustomerId(java.lang.String customerId)

    - #### getDeviceId

          public java.lang.String getDeviceId()

    - #### setDeviceId

          public void setDeviceId(java.lang.String devicId)

    - #### getTariffId

          public int getTariffId()

    - #### setTariffId

          public void setTariffId(int tariffId)

    - #### getServiceTypeId

          public int getServiceTypeId()

    - #### setServiceTypeId

          public void setServiceTypeId(int serviceTypeId)

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getPin

          public java.lang.String getPin()

    - #### setPin

          public void setPin(java.lang.String pin)